package org.jbpm.pvm.impl;

import java.io.Serializable;

import org.jbpm.pvm.Execution;
import org.jbpm.pvm.VariableDefinition;
import org.jbpm.pvm.type.Converter;
import org.jbpm.wire.Descriptor;

public class VariableDefinitionImpl implements Serializable, VariableDefinition {

  private static final long serialVersionUID = 1L;

  protected long dbid;
  protected int dbversion;

  protected String name;
  protected String description;
  protected Converter converter;
  protected Class<?> variableClass;
  protected ObjectReference<?> initialValue;

  public Converter getConverter() {
    return converter;
  }
  public Class<?> getVariableClass() {
    return variableClass;
  }
  public long getDbid() {
    return dbid;
  }
  public String getDescription() {
    return description;
  }
  public Object getInitialValue(Execution execution) {
    if (initialValue == null) {
      return null;
    }
    return initialValue.get();
  }
  public String getName() {
    return name;
  }
  
  public ObjectReference<?> getInitialValueReference() {
    return initialValue;
  }
  public void setInitialValue(Descriptor initialValue) {
    this.initialValue = new ObjectReference<Object>(initialValue);
  }
  public void setName(String name) {
    this.name = name;
  }
  public void setDescription(String description) {
    this.description = description;
  }
  public void setConverter(Converter converter) {
    this.converter = converter;
  }
  public void setVariableClass(Class< ? > variableClass) {
    this.variableClass = variableClass;
  }
}
