/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jbpm.wire.binding;

import org.w3c.dom.Element;

import org.jbpm.enterprise.Ejb2TimerSession;
import org.jbpm.wire.descriptor.ObjectDescriptor;
import org.jbpm.xml.Binding;
import org.jbpm.xml.Parse;
import org.jbpm.xml.Parser;

/**
 * Mapping between an <code>ejb2-timer-session</code> element and an
 * {@link Ejb2TimerSession} {@linkplain ObjectDescriptor object descriptor}.
 * @author Alejandro Guizar
 */
public class Ejb2TimerSessionBinding implements Binding {

  public Object parse(Element element, Parse parse, Parser parser) {
    ObjectDescriptor timerSessionDescriptor = new ObjectDescriptor();
    timerSessionDescriptor.setClassName(Ejb2TimerSession.class.getName());
    return timerSessionDescriptor;
  }

}
